The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Import a Custom Re-sign Certificate

Prev Next

This URL imports a custom re-sign certificate to the Manager.

Resource URL

PUT /domain/sslconfiguration/importresigncert

Content-type value

multipart/form-data; boundary=<x>

Request Parameters

URL Parameters: None

Query Parameters: None

Payload Parameters:

Field Name Description Data Type Mandatory
MultiPart Holds the body part objects Object Yes

Details of BodyPart[0]:

Field Name Description Data Type Mandatory
BodyPart[0] Holds the Import re-sign certificate object Application/json object Yes

Details of ImportResignCert:

Field Name Description Data Type Mandatory
fileName Name of the file String Yes
passphrase Passphrase for the key String Yes

Details of BodyPart[1]:

Field Name Description Data Type Mandatory
BodyPart[1] Holds the .p12 file as an input stream Application/octet-stream Yes

Details of .p12 file:

Field Name Description Data Type Mandatory
File The SSL key file data ByteArrayInputStream Yes

Response Parameters

Following fields are returned.

Field Name Description Data Type
status Set to 1 if the operation is successful Number

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/sslconfiguration/importresigncert

Payload

----Boundary_1_12424925_1353496814940
Content-Type: application/json

{"passPhrase": "admin123", "fileName": "test.p12"}

----Boundary_1_12424925_1353496814940
Content-Type: application/octet-stream

<file_data>

----Boundary_1_12424925_1353496814940— 

Response

{
"status": 1
} 

Error Information

Following error codes are returned by this URL:

S.No HTTP Error Code SDK API errorId SDK API errorMessage
1 500 1001 Internal error
2 400 5301 Invalid file type given for import: The file name does not have any extension
3 400 5301 Invalid file type given for import expected is .p12 while <fileType> was provided